Package org.tanukisoftware.wrapper

# Class WrapperManagerSystemTimeTestCase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.tanukisoftware.wrapper.WrapperManagerSystemTimeTestCase

All Implemented Interfaces:
  `junit.framework.Test`

public class WrapperManagerSystemTimeTestCase extends junit.framework.TestCase
Tests the conversion of system time into ticks.

## Constructor Summary

Constructors
Constructor
Description
`WrapperManagerSystemTimeTestCase(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doTest(long time, int expectedTicks, int negTicks, int posTicks)`
`void`
`testOverflow()`
`void`
`testSimple()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperManagerSystemTimeTestCase

public WrapperManagerSystemTimeTestCase(String name)

## Method Details

### doTest

public void doTest(long time, int expectedTicks, int negTicks, int posTicks)

### testSimple

public void testSimple()

### testOverflow

public void testOverflow()